package org.semanticweb.glp;

/**
 * <p>Title: Triple</p>
 * <p>Description: RDF Query and Inference Language</p>
 * <p>Copyright: Copyright (c) 2001</p>
 * <p>Company: Stanford University</p>
 * @author Stefan Decker
 * @version 1.0
 */
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;

public abstract class GLPUnaryOperator extends GLogicFormula {
  GLogicFormula f;

  public GLPUnaryOperator(GLogicFormula f) {
    this.f = f;
  }

   /**
     *  Description of the Method
     *
     *@param  h  Description of the Parameter
     *@return    Description of the Return Value
     */



    /**
     *  Description of the Method
     *
     *@param  free   Description of the Parameter
     *@param  bound  Description of the Parameter
     */
    public final void freeBoundVariables(HashSet free, HashSet bound) {
        f.freeBoundVariables(free, bound);
    }

    public String toString(String operator, GLogicFormula f) {
        return operator + " (".concat(f.toString()).concat(")");
    }


    public GLogicFormula getFormula(){
      return f;
    }

     public void renameVariables(HashMap h){
      f.renameVariables(h);
     }
}
