package org.semanticweb.glp;

/**
 *  Title: Triple Description: RDF Query and Inference Language Copyright:
 *  Copyright (c) 2001 Company: Stanford University
 *
 *@author     Stefan Decker
 *@created    January 17, 2002
 *@version    1.0
 */

public class VariableGenerator {
    static int num = -1;


    /**
     *  Gets the variable attribute of the VariableGenerator class
     *
     *@return    The variable value
     */
    public static GLPTermVariable getVariable() {
        num++;
        return new GLPTermVariable("_X" + num);
        //return "_X"+ new Integer(num).toString();
    }

    public static GLPTermVariable getVariable(GLPTermVariable praefix) {
        num++;
        return new GLPTermVariable(praefix.toString() + "__"+num); // $ replaced [MS]
        //return "_X"+ new Integer(num).toString();
    }


    /**
     *  Description of the Method
     */
    public static void reset() {
        num = -1;
    }
}
