package org.semanticweb.triple.inference;

/**
 *  Copyright  Juergen Angele and Stefan Decker, Institut AIFB, University of
 *  Karlsruhe. All Rights Reserved.
 *
 *@author     Administrator
 *@created    January 17, 2002
 */

/*
 *  Name: Head.java
 *  Version: 1.0
 *  Purpose:
 *  History:
 */
public class Head extends RuleAtom {
    // Kopfatom

    /**
     *  Constructor for the Head object
     *
     *@param  sym    Description of the Parameter
     *@param  terme  Description of the Parameter
     */
    public Head(int sym, Term[] terme) {
        // sym = Prdikatsymbol,terme = Feld von anz Termen
        super(sym, terme);
        up = new Atoms(terms.length);
        addup = new Atoms(terms.length);
        down = new Atoms(anzvars);
        adddown = new Atoms(anzvars);
    }


    /**
     *  Description of the Method
     *
     *@param  brel    Description of the Parameter
     *@param  bindex  Description of the Parameter
     *@return         Description of the Return Value
     */
    public boolean Up(Atoms brel, int bindex[]) {
        // Substituiert die Variablen im Kopfatom durch die Zeilen der Relation brel und fuegt die
        // entstandenen Grundatome in die Relation up ein
        int oldnum;
        // Substituiert die Variablen im Kopfatom durch die Zeilen der Relation brel und fuegt die
        // entstandenen Grundatome in die Relation up ein
        int newnum;
        oldnum = up.anztuples;
        up.Substitute(this, brel, bindex);
        newnum = up.anztuples;
        return oldnum != newnum;
    }
}
