package org.semanticweb.utilities;

/**
 *  Title: Triple Description: RDF Query and Inference Language Copyright:
 *  Copyright (c) 2001 Company: Stanford University
 *
 *@author     Stefan Decker
 *@created    January 18, 2002
 *@version    1.0
 */

public class DoubleComparator implements Comparator {
    /**
     *  Description of the Method
     *
     *@param  fst  Description of the Parameter
     *@param  snd  Description of the Parameter
     *@return      Description of the Return Value
     */
    public int compare(Object fst, Object snd) {

        double diff = ((Double) fst).doubleValue() - ((Double) snd).doubleValue();
        if (diff < 0.0) {
            return -1;
        }
        else if (diff == 0.0) {
            return 0;
        }
        else {
            return 1;
        }
    }
}
