package org.semanticweb.lp;

/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
public class NonEmptyListTerm extends ListTerm {
    Term head;
    Term rest;


    /**
     *  Constructor for the NonEmptyListTerm object
     */
    public NonEmptyListTerm() { }


    /**
     *  Constructor for the NonEmptyListTerm object
     *
     *@param  head  Description of the Parameter
     *@param  rest  Description of the Parameter
     */
    public NonEmptyListTerm(Term head, Term rest) {
        this.head = head;
        this.rest = rest;
    }


    /**
     *  Gets the head attribute of the NonEmptyListTerm object
     *
     *@return    The head value
     */
    public Term getHead() {
        return head;
    }


    /**
     *  Gets the rest attribute of the NonEmptyListTerm object
     *
     *@return    The rest value
     */
    public Term getRest() {
        return rest;
    }


    /**
     *  Sets the rest attribute of the NonEmptyListTerm object
     *
     *@param  rest  The new rest value
     */
    public void setRest(Term rest) {
        this.rest = rest;
    }


    /**
     *  Sets the head attribute of the NonEmptyListTerm object
     *
     *@param  head  The new head value
     */
    public void setHead(Term head) {
        this.head = head;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public String toString() {
        String result = "[" + head.toString();
        if (rest instanceof NonEmptyListTerm) {
            result += ((NonEmptyListTerm) rest).toString1();
        }
        else if (rest instanceof NilTerm) {
            result += "]";
        }
        else {
            result += "|" + rest.toString() + "]";
        }
        return result;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public String toString1() {
        String result = "," + head.toString();
        if (rest instanceof NonEmptyListTerm) {
            result += ((NonEmptyListTerm) rest).toString1();
        }
        else if (rest instanceof NilTerm) {
            result += "]";
        }
        else {
            result += "|" + rest.toString() + "]";
        }
        return result;
    }
}
