/*
 * PrologSyntax.java
 *
 * Created on February 4, 2002, 4:33 PM
 */

package org.semanticweb.triple.language;

import org.semanticweb.utilities.*;


/**
 *
 * @author  Michael Sintek
 * @version 
 */
public class PrologSyntax implements Syntax {

  public String getSymbol(String symbol) {
    return SyntaxHelper.symbol(symbol, true);
  }
    
  public String getVariable (String name) {
    return "_" + name; // check name!
  }
      
  public String getOr() {
    return "; ";
  }
  
  public String getAnd() {
    return ", ";
  }
  
  public String getIf() {
    return " <-\n";
  }
  
  public String getQueryIf() {
    return "?- ";
  }  
  
}
